import dateParse from '@/utils/tool/date';
export default {

    data(){
        return {
            is_distribution:false,
            deliver_time:''
        }
    },

    methods:{
      setDeliver(data){
          if(data) {
              this.deliver_time = dateParse(data.deliver_time_first,'YYYY-MM-DD');
          }
      }
    },

    onLoad(){

        // 是否显示配送计划
        let is_distribution = !!(this.$params.cycle && this.$params.per_month);
        if (this.is_distribution !== is_distribution) {
            this.is_distribution = is_distribution;
        }

    }


}